Subject: bug#67171: 30.0.50; (At least) some VC commands fail with project-prefix-or-any-command

From: Dmitry Gutov <[email-masked]>
Date: Mon, 20 Nov 2023 04:17:47 +0200

Hi!

On 14/11/2023 15:13, Sean Whitton wrote:
> X-debbugs-cc: [email-masked], [email-masked], [email-masked]
> 
> Hello,
> 
> 1. cd /home/spwhitton/src/some-project && emacs -q
> 2. (setopt project-switch-commands #'project-prefix-or-any-command)
> 3. (project-remember-project (project-current nil "/home/spwhitton/src/emacs/trunk/))
> 4. C-x p p /home/spwhitton/src/emacs/trunk RET C-x v L
> 
> VC prints the log of /home/spwhitton/some-project, not that of /home/spwhitton/src/emacs/trunk.

I'm having difficulty reproducing this.

On step 4, I'm asked for the project root (because *scratch* doesn't 
have a current VC backend), but the input defaults to the directory 
chosen in steps 3 and 4. And if I open a file-visiting buffer first, 
then the prompt is skipped, and I do see the log of the other project. 
Not the one used in step 1.